#
# spec file for package cosmic-ext-calculator
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid dev.edfloreshz.Calculator
Name:           cosmic-ext-calculator
Version:        0.1.0+git20240820.2286299
Release:        1.1
Summary:        A simple calculator for the COSMIC desktop
License:        GPL-3.0-only
URL:            https://github.com/edfloreshz/cosmic-ext-calculator
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
install -Dm0755 ./target/release/%{name} %{buildroot}%{_bindir}/%{name}
install -Dm0644 res/com.example.CosmicAppTemplate.desktop %{buildroot}%{_datadir}/applications/%{appid}.desktop
#just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appid}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop

%changelog
* Wed Aug 21 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
